Subject: Re: bug#58363: [PATCH 1/3] Use xsignal1 as required by argument type

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Oct 2022 18:59:04 +0300

> From: Jonas Bernoulli <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 22 Oct 2022 17:32:07 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > So, unless this totally disrupts your workflows, please post patches
> > as a single coherent changeset, bypassing intermediate steps that are
> > later superseded.  TIA.
> 
> I will do as you wish but I completely disagree that this is the
> right thing to do.  But let's agree to disagree, and since you are
> the maintainer, you get to say how it ought to be done around here.

If the request causes you significant inconvenience, I won't insist.

> (Is there anything you would like me to do, aside from squashing
> these two (or all three?) commits?)

For these patch series, you don't need to do anything: the series is
small enough to not produce any significant problems (and I think you
will be submitting v2 anyway?).  My request was for the future.

TIA